DOMDeserializer
Date: 2016-12-04

com.fasterxml.jackson.databind.ext

## Class DOMDeserializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>
        - - com.fasterxml.jackson.databind.ext.DOMDeserializer<T>

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer

      public abstract class DOMDeserializer<T>
      extends FromStringDeserializer<T>

  Base for serializers that allows parsing DOM Documents from JSON Strings. Nominal type can be either `Node` or `Document`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DOMDeserializer.DocumentDeserializer`
    `static class` | `DOMDeserializer.NodeDeserializer`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `FromStringDeserializer.Std`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DOMDeserializer(java.lang.Class<T> cls)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract T` | `_deserialize(java.lang.String value, DeserializationContext ctxt)`
    `protected javax.xml.parsers.DocumentBuilder` | `documentBuilder()` Overridable factory method used to create `DocumentBuilder` for parsing XML as DOM.
    `protected org.w3c.dom.Document` | `parse(java.lang.String value)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `_deserializeEmbedded, _deserializeFromEmptyString, deserialize, findDeserializer, types`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

      `deserializeWithType`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_coerceIntegral, _deserializeFromEmpty, _failDoubleToIntCoercion, _hasTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromInt, _parseBooleanFromOther, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMDeserializer

          protected DOMDeserializer(java.lang.Class<T> cls)

  - ### Method Detail

    - #### _deserialize

          public abstract T _deserialize(java.lang.String value,
                       DeserializationContext ctxt)

      Specified by:
        `_deserialize` in class `FromStringDeserializer<T>`

    - #### parse

          protected final org.w3c.dom.Document parse(java.lang.String value)
                                              throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### documentBuilder

          protected javax.xml.parsers.DocumentBuilder documentBuilder()
                                                               throws javax.xml.parsers.ParserConfigurationException

      Overridable factory method used to create `DocumentBuilder` for parsing XML as DOM.
      Throws:
        `javax.xml.parsers.ParserConfigurationException`
      Since:
        2.7.6